summaryrefslogtreecommitdiffstats
path: root/src/test/framework/check-copyright
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/framework/check-copyright')
-rwxr-xr-xsrc/test/framework/check-copyright30
1 files changed, 30 insertions, 0 deletions
diff --git a/src/test/framework/check-copyright b/src/test/framework/check-copyright
new file mode 100755
index 00000000..bd893b39
--- /dev/null
+++ b/src/test/framework/check-copyright
@@ -0,0 +1,30 @@
+#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: src/test/framework/check-copyright $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2016
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+COPYRIGHT_CHECK=${SBEROOT}/src/test/framework/copyright-check.sh
+COMMIT_CHECK=${SBEROOT}/src/tools/hooks/verify-commit
+
+$COPYRIGHT_CHECK || exit -1
+$COMMIT_CHECK || exit -1
OpenPOWER on IntegriCloud